Skip to main content
`Ctrl`+`K`

# KSPGCRGetRestart

Gets number of iterations at which `KSPGCR` restarts.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGCRGetRestart(KSP ksp, PetscInt *restart)

Not Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- restart - integer restart value

## See Also

KSP: Linear System Solvers, `KSPGCR`, `KSPSetTolerances()`, `KSPGCRSetRestart()`, `KSPGMRESGetRestart()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/gcr.c

## Implementations

KSPGCRGetRestart_GCR() in src/ksp/ksp/impls/gcr/gcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages